- @html_class = "subscriptions-layout-html"
- page_title _('Your profile')
- add_page_specific_style 'page_bundles/signup'
- add_page_specific_style 'page_bundles/login'
- gitlab_experience_text = _('To personalize your GitLab experience, we\'d like to know a bit more about you')
- content_for :page_specific_javascripts do
  = render "layouts/google_tag_manager_head"
  = render "layouts/one_trust"
  = render "layouts/bizible"
= render "layouts/google_tag_manager_body"
.row.gl-flex-grow-1
  .d-flex.gl-flex-direction-column.gl-align-items-center.gl-w-full.gl-px-5.gl-pb-5
    .edit-profile.login-page.d-flex.flex-column.gl-align-items-center
      %h2.gl-text-center= html_escape(_('Welcome to GitLab,%{br_tag}%{name}!')) % { name: html_escape(current_user.first_name), br_tag: '<br/>'.html_safe }
      - if Gitlab.com?
        %p.gl-text-center= html_escape(_('%{gitlab_experience_text}. We won\'t share this information with anyone.')) % { gitlab_experience_text: gitlab_experience_text }
      - else
        %p.gl-text-center= html_escape(_('%{gitlab_experience_text}. Don\'t worry, this information isn\'t shared outside of your self-managed GitLab instance.')) % { gitlab_experience_text: gitlab_experience_text }
      = gitlab_ui_form_for(current_user,
        url: users_sign_up_welcome_path(welcome_update_params),
        html: { class: 'gl-w-full! gl-p-5 js-users-signup-welcome',
                'aria-live' => 'assertive',
                data: { testid: 'welcome-form' } }) do |f|
        = render Pajamas::CardComponent.new do |c|
          - c.with_body do
            .devise-errors
              = render 'devise/shared/error_messages', resource: current_user
            .row
              .form-group.col-sm-12
                = f.label :role, _('Role'), class: 'label-bold'
                = f.select :role, ::User.roles.keys.map { |role| [role.titleize, role] }, { include_blank: _('Select a role') }, class: 'form-control js-user-role-dropdown', required: true, data: { qa_selector: 'role_dropdown' }
            = render_if_exists "registrations/welcome/jobs_to_be_done", f: f
            = render_if_exists "registrations/welcome/setup_for_company", f: f
            = render_if_exists "registrations/welcome/joining_project"
            = render 'devise/shared/email_opted_in', f: f
            .row
              .form-group.col-sm-12.gl-mb-0
                - if partial_exists? "registrations/welcome/button"
                  = render "registrations/welcome/button"
                - else
                  = render Pajamas::ButtonComponent.new(block: true, type: :submit, variant: :confirm, button_options: { class: 'gl-mb-0', data: { qa_selector: 'get_started_button' }}) do
                    = _('Get started!')
